// Copyright 1997, 1998 by Jon Dart.  All Rights Reserved.

#ifndef _KING_PAWN_ENTRY_H
#define _KING_PAWN_ENTRY_H

#include "types.h"
#include "bitmap.h"
#include "square.h"
#include "pool.h"

class King_Pawn_Entry
{
     // defines one entry in the king/pawn hash table.

public:

     King_Pawn_Entry()
     : hc(0xffffffff)
     {
     }

     King_Pawn_Entry( hash_t hc)
     :
       hc(hc)
     {
     }


     // two entries are equivalent if they have the same hash code bytes.
     int is_equal( const King_Pawn_Entry &e) const
     {
         return hc == e.hc;
     }
	    
    hash_t hc; // hashcode
    int white_cover, black_cover;
    int white_pawn_proximity, black_pawn_proximity;
};

#endif
