// Copyright 1994 by Jon Dart.  All Rights Reserved.

#include "piece.h"
#include "constant.h"
#include <string.h>
#include <ctype.h>

const unsigned PieceValues[8] = 
{
   0,
   PAWN_VALUE,
   KNIGHT_VALUE,
   BISHOP_VALUE,
   ROOK_VALUE,
   QUEEN_VALUE,
   KING_VALUE,
   0
};

const Piece _pieces[8][2] =
{ {0,0},
{ 1, 9 },
{ 2, 10 },
{ 3, 11 },
{ 4, 12 },
{ 5, 13 },
{ 6, 14 },
{ 7, 15 }};

const int _sliders[16] =
{ 0, 0, 0, 1, 1, 1, 0, 0,
  0, 0, 0, 1, 1, 1, 0, 0 };

static const char Images[] = "?PNBRQK?";

PieceType PieceCharValue( const char c )
{
    const char *p = Images;
    p = strchr(p,c);
    if (p)
       return (PieceType)(p-Images);
    else
       return InvalidPiece;
}

char PieceImage(const PieceType p)
{
    return Images[p];
}
